#─────────────────────────────────────────────────────────────────────────
# Anywhere that uses IDs, such as blocks, biomes, dimensions, and structures, also supports:
# • Tags (e.g. "#minecraft:is_underground")
# • Comma-separated lists (e.g. "minecraft:desert,#minecraft:is_badlands")
#     Applies the setting to all listed IDs. Can use tags, regular IDs, and negation interchangeably
# • Negation (e.g. "!minecraft:jungle_leaves")
#     Useful with lists/tags. Excludes the listed IDs from the setting
#     i.e. "#minecraft:leaves,!minecraft:jungle_leaves" (all leaves EXCEPT jungle leaves)
# Settings with "//v" will list elements vertically. Removing "//v" will list elements in one line
#─────────────────────────────────────────────────────────────────────────
[Dimensions]
	#─────────────────────────────────────────────────────────────────────────//v
	# Applies an offset to the world's temperature across an entire dimension
	# ├── Format: [["dimension_id", temperature, *units], ["dimension_id", temperature, *units]... etc]
	# └── [* = optional]
	# • dimension_id: The ID of the dimension (e.g. "minecraft:the_nether")
	# • temperature: The temperature offset to apply to the dimension
	# • *units: The units of the temperature ("f", "c", or "mc"). Defaults to Minecraft units (mc))
	"Dimension Temperature Offsets" = [
	    ["minecraft:the_nether", 32, "f"],
	    ["minecraft:the_end", -5, "f"]
	]
	#─────────────────────────────────────────────────────────────────────────//v
	# Defines the temperature of a dimension, overriding biome and elevation temperature
	# ├── Format: [["dimension_id", temperature, *units], ["dimension_id", temperature, *units]... etc]
	# └── [* = optional]
	# • dimension_id: The ID of the dimension (e.g. "minecraft:the_nether")
	# • temperature: The temperature of the dimension
	# • *units: The units of the temperature ("f", "c", or "mc"). Defaults to Minecraft units (mc))
	"Dimension Temperatures" = []

[Biomes]
	#─────────────────────────────────────────────────────────────────────────//v
	# Applies an offset to the temperature of a biome
	# ├── Format: [["biome_id", lowTemp, highTemp, *units, *waterTemp], [...], etc]
	# └── [* = optional]
	# • biome_id: The ID of the biome (e.g. "minecraft:desert")
	# • lowTemp: The temperature offset at midnight
	# • highTemp: The temperature offset at noon
	# • *units: The units of the temperature ("f", "c", or "mc"). Defaults to Minecraft units (mc))
	# • *waterTemp: Offsets the temperature of water in the biome
	"Biome Temperature Offsets" = []
	#─────────────────────────────────────────────────────────────────────────//v
	# Defines the temperature of a biome, overriding the biome's default temperature
	# ├── Format: [["biome_id", low-temp, high-temp, *units, *waterTemp], [...], etc]
	# └── [* = optional]
	# • biome_id: The ID of the biome (e.g. "minecraft:desert")
	# • lowTemp: The temperature of the biome at midnight
	# • highTemp: The temperature of the biome at noon
	# • *units: The units of the temperature ("f", "c", or "mc"). Defaults to Minecraft units (mc))
	# • *waterTemp: The temperature of water in the biome
	"Biome Temperatures" = [
	    ["minecraft:soul_sand_valley", 53, 53, "F"],
	    ["minecraft:old_growth_birch_forest", 58, 72, "F"],
	    ["minecraft:river", 59, 82, "F"],
	    ["minecraft:swamp", 72, 84, "F"],
	    ["minecraft:savanna", 70, 95, "F"],
	    ["minecraft:savanna_plateau", 76, 98, "F"],
	    ["minecraft:windswept_savanna", 67, 90, "F"],
	    ["minecraft:taiga", 44, 62, "F"],
	    ["minecraft:snowy_taiga", 19, 48, "F"],
	    ["minecraft:old_growth_pine_taiga", 48, 62, "F"],
	    ["minecraft:old_growth_spruce_taiga", 48, 62, "F"],
	    ["minecraft:desert", 48, 115, "F"],
	    ["minecraft:stony_shore", 50, 64, "F"],
	    ["minecraft:snowy_beach", 38, 52, "F"],
	    ["minecraft:snowy_slopes", 24, 38, "F"],
	    ["minecraft:windswept_forest", 48, 66, "F"],
	    ["minecraft:frozen_peaks", 15, 33, "F"],
	    ["minecraft:warm_ocean", 67, 76, "F"],
	    ["minecraft:deep_frozen_ocean", 56, 65, "F"],
	    ["minecraft:jungle", 76, 87, "F"],
	    ["minecraft:bamboo_jungle", 76, 87, "F"],
	    ["minecraft:badlands", 84, 120, "F"],
	    ["minecraft:wooded_badlands", 80, 108, "F"],
	    ["minecraft:eroded_badlands", 88, 120, "F"],
	    ["minecraft:deep_dark", 63, 63, "F"],
	    ["minecraft:dripstone_caves", "disable"],
	    ["biomesoplenty:bayou", 67, 78, "F"],
	    ["biomesoplenty:bog", 62, 73, "F"],
	    ["biomesoplenty:fir_clearing", 56, 68, "F"],
	    ["biomesoplenty:marsh", 76, 87, "F"],
	    ["biomesoplenty:wetland", 63, 74, "F"],
	    ["biomesoplenty:field", 64, 85, "F"],
	    ["biomesoplenty:ominous_woods", 65, 72, "F"],
	    ["biomesoplenty:coniferous_forest", 44, 58, "F"],
	    ["biomesoplenty:seasonal_forest", 52, 64, "F"],
	    ["biomesoplenty:pumpkin_patch", 57, 78, "F"],
	    ["biomesoplenty:woodland", 67, 80, "F"],
	    ["biomesoplenty:mediterranean_forest", 64, 78, "F"],
	    ["biomesoplenty:dune_beach", 67, 78, "F"],
	    ["biomesoplenty:rocky_rainforest", 73, 86, "F"],
	    ["biomesoplenty:old_growth_woodland", 65, 78, "F"],
	    ["biomesoplenty:forested_field", 64, 78, "F"],
	    ["biomesoplenty:fungal_jungle", 73, 86, "F"],
	    ["biomesoplenty:highland", 57, 70, "F"],
	    ["biomesoplenty:highland_moor", 54, 68, "F"],
	    ["biomesoplenty:grassland", 58, 82, "F"],
	    ["biomesoplenty:clover_patch", 56, 78, "F"],
	    ["biomesoplenty:jade_cliffs", 57, 70, "F"],
	    ["biomesoplenty:lush_desert", 72, 94, "F"],
	    ["biomesoplenty:dryland", 67, 97, "F"],
	    ["biomesoplenty:maple_woods", 58, 68, "F"],
	    ["biomesoplenty:mystic_grove", 65, 72, "F"],
	    ["biomesoplenty:orchard", 58, 78, "F"],
	    ["biomesoplenty:prairie", 66, 82, "F"],
	    ["biomesoplenty:origin_valley", 65, 80, "F"],
	    ["biomesoplenty:snowy_coniferous_forest", 28, 48, "F"],
	    ["biomesoplenty:snowy_fir_clearing", 32, 51, "F"],
	    ["biomesoplenty:snowy_maple_woods", 32, 48, "F"],
	    ["biomesoplenty:spider_nest", 75, 75, "F"],
	    ["biomesoplenty:volcanic_plains", 82, 95, "F"],
	    ["biomesoplenty:volcano", 94, 120, "F"],
	    ["biomesoplenty:wooded_wasteland", 78, 95, "F"],
	    ["biomeswevegone:allium_shrubland", 58, 74, "F"],
	    ["biomeswevegone:jacaranda_jungle", 76, 87, "F"],
	    ["biomeswevegone:araucaria_savanna", 70, 92, "F"],
	    ["biomeswevegone:aspen_boreal", 48, 68, "F"],
	    ["biomeswevegone:windswept_desert", 60, 108, "F"],
	    ["biomeswevegone:atacama_outback", 60, 108, "F"],
	    ["biomeswevegone:baobab_savanna", 70, 95, "F"],
	    ["biomeswevegone:ironwood_gour", 69, 90, "F"],
	    ["biomeswevegone:bayou", 67, 86, "F"],
	    ["biomeswevegone:black_forest", 46, 70, "F"],
	    ["biomeswevegone:cika_woods", 40, 67, "F"],
	    ["biomeswevegone:canadian_shield", 38, 62, "F"],
	    ["biomeswevegone:forgotten_forest", 62, 78, "F"],
	    ["biomeswevegone:ebony_woods", 64, 75, "F"],
	    ["biomeswevegone:tropical_rainforest", 76, 87, "F"],
	    ["biomeswevegone:weeping_witch_forest", 56, 73, "F"],
	    ["biomeswevegone:zelkova_forest", 44, 61, "F"],
	    ["biomeswevegone:maple_taiga", 15, 18, "C"],
	    ["biomeswevegone:pumpkin_valley", 57, 78, "F"],
	    ["biomeswevegone:coniferous_forest", 44, 58, "F"],
	    ["biomeswevegone:frosted_coniferous_forest", 8, 31, "F"],
	    ["biomeswevegone:crimson_tundra", 8, 31, "F"],
	    ["biomeswevegone:dacite_ridges", 40, 65, "F"],
	    ["biomeswevegone:shore", 40, 65, "F"],
	    ["biomeswevegone:cypress_swamplands", 68, 82, "F"],
	    ["biomeswevegone:skyrise_vale", 42, 68, "F"],
	    ["biomeswevegone:orchard", 58, 78, "F"],
	    ["biomeswevegone:prairie", 66, 82, "F"],
	    ["biomeswevegone:enchanted_tangle", 66, 82, "F"],
	    ["biomeswevegone:firecracker_chaparral", 72, 105, "F"],
	    ["biomeswevegone:fragment_jungle", 76, 87, "F"],
	    ["biomeswevegone:frosted_taiga", 19, 48, "F"],
	    ["biomeswevegone:howling_peaks", 15, 33, "F"],
	    ["biomeswevegone:mojave_desert", 60, 105, "F"],
	    ["biomeswevegone:overgrowth_woodlands", 62, 78, "F"],
	    ["biomeswevegone:red_rock_valley", 84, 120, "F"],
	    ["biomeswevegone:redwood_thicket", 52, 81, "F"],
	    ["biomeswevegone:rugged_badlands", 72, 100, "F"],
	    ["biomeswevegone:white_mangrove_marshes", 70, 86, "F"],
	    ["terralith:moonlight_valley", 57, 76, "F"],
	    ["terralith:rocky_mountains", 45, 73, "F"],
	    ["terralith:blooming_plateau", 49, 78, "F"],
	    ["terralith:alpine_grove", 16, 53, "F"],
	    ["terralith:yellowstone", 47, 68, "F"],
	    ["terralith:forested_highlands", 43, 70, "F"],
	    ["terralith:temperate_highlands", 54, 80, "F"],
	    ["terralith:amethyst_rainforest", 69, 84, "F"],
	    ["terralith:sandstone_valley", 78, 114, "F"],
	    ["terralith:ancient_sands", 83, 130, "F"],
	    ["terralith:arid_highlands", 74, 102, "F"],
	    ["terralith:volcanic_crater", 96, 162, "F"],
	    ["terralith:volcanic_peaks", 76, 122, "F"],
	    ["terralith:basalt_cliffs", 76, 122, "F"],
	    ["terralith:birch_taiga", 40, 62, "F"],
	    ["terralith:brushland", 64, 89, "F"],
	    ["terralith:bryce_canyon", 72, 110, "F"],
	    ["terralith:caldera", 58, 71, "F"],
	    ["terralith:cloud_forest", 38, 58, "F"],
	    ["terralith:desert_canyon", 73, 121, "F"],
	    ["terralith:desert_spires", 60, 121, "F"],
	    ["terralith:orchid_swamp", 62, 81, "F"],
	    ["terralith:fractured_savanna", 65, 92, "F"],
	    ["terralith:savanna_badlands", 68, 99, "F"],
	    ["terralith:granite_cliffs", 65, 85, "F"],
	    ["terralith:granite_cliffs", 65, 85, "F"],
	    ["terralith:haze_mountain", 62, 74, "F"],
	    ["terralith:highlands", 62, 74, "F"],
	    ["terralith:lavender_valley", 59, 76, "F"],
	    ["terralith:lavender_forest", 56, 75, "F"],
	    ["terralith:red_oasis", 58, 94, "F"],
	    ["terralith:shield", 48, 68, "F"],
	    ["terralith:shield_clearing", 28, 80, "F"],
	    ["terralith:steppe", 44, 78, "F"],
	    ["terralith:warped_mesa", 66, 84, "F"],
	    ["minecraft:plains", 59, 82, "F"]
	]

[Blocks]
	#─────────────────────────────────────────────────────────────────────────//v
	# Applies temperature-emitting properties to blocks
	# ├── Format: [["block_id", <temperature>, <range>, <*units>, <*maxEffect>, <*predicates>, <*"{nbt}">, <*temperatureLimit>], [etc...], [etc...]]
	# └── [* = optional]
	# • block_id: The ID of the block (i.e. "minecraft:lava")
	# • temperature: The temperature of the block, in Minecraft units
	# • range: The radius of the block's temperature effect, in blocks
	# • *units: The units of the temperature ("f", "c", or "mc"). Defaults to Minecraft units (mc))
	# • *maxEffect: The maximum cumulative temperature change this block can cause to a player (even with multiple blocks)
	# • *predicates: The state that the block has to be in for the temperature to be applied (i.e. lit=true).
	#   (Multiple predicates can be used by separating them with commas [i.e. "lit=true,waterlogged=false"])
	# • *nbt: The NBT data that the block must have for the temperature to be applied.
	# • *temperatureLimit: The maximum world temperature at which this block temp will have any effect.
	#   (Represents the minimum temp if the block temp is negative)
	"Block Temperatures" = [
	    ["cold_sweat:boiler", 0.27, 7, "mc", 0.88, "lit=true", "", 4],
	    ["cold_sweat:icebox", -0.27, 7, "mc", 0.88, "frosted=true", "", 0],
	    ["minecraft:lava", 0.3, 7, "mc", 6, "", "", 21.5, true],
	    ["#minecraft:fire", 0.476, 7, "mc", 0.9, "", "", 8],
	    ["#minecraft:campfires,!minecraft:soul_campfire", 0.476, 7, "mc", 0.9, "lit=true", " ", 8],
	    ["minecraft:magma_block", 0.25, 3, "mc", 1.0],
	    ["minecraft:lava_cauldron", 0.5, 7, "mc", 1.5],
	    ["minecraft:ice", -0.15, 4, "mc", 0.3, "", "", 0.05],
	    ["minecraft:packed_ice", -0.25, 4, "mc", 1.0, "", "", -0.3],
	    ["minecraft:blue_ice", -0.35, 4, "mc", 1.4, "", "", -0.7],
	    ["#minecraft:ice", -0.15, 4, "mc", 0.6, "", "", -0.7],
	    ["create:blaze_burner", 5, 3, "f", 30, "blaze=smouldering", "", 400]
	]
	#─────────────────────────────────────────────────────────────────────────
	# The maximum range of blocks' area of effect
	# - Note: This will not change anything unless blocks are configured to utilize the expanded range
	# - This value is limited to 16 for performance reasons
	# Default: 7
	# Range: 1 ~ 16
	"Block Range" = 7
	#─────────────────────────────────────────────────────────────────────────
	# When set to true, uses Cold Sweat's temperature system to determine water freezing behavior
	"Custom Freezing Behavior" = true
	#─────────────────────────────────────────────────────────────────────────
	# When set to true, modifies ice blocks to be harvestable with a pickaxe
	"Custom Ice Drops" = true
	#─────────────────────────────────────────────────────────────────────────
	# The speed at which wet players dry off
	# Default: 0.0015
	# Range: 0.0 ~ Infinity
	"Dryoff Speed" = 0.0015
	#─────────────────────────────────────────────────────────────────────────
	# The speed at which players become soaked when in water
	# Default: 0.1
	# Range: 0.0 ~ Infinity
	"Water Soak Speed" = 0.1
	#─────────────────────────────────────────────────────────────────────────
	# The speed at which players become soaked when in rain
	# Default: 0.0125
	# Range: 0.0 ~ Infinity
	"Rain Soak Speed" = 0.0125
	#─────────────────────────────────────────────────────────────────────────
	# The default temperature of water
	# └── Format: [temperature, *units]
	"Default Water Temperature" = [-10, "f"]
	#─────────────────────────────────────────────────────────────────────────
	# The maximum soak level a player can reach from rain alone (0.0 - 1.0)
	# Default: 0.2
	# Range: 0.0 ~ Infinity
	"Max Rain Soak" = 0.2

[Structures]
	#─────────────────────────────────────────────────────────────────────────
	# Overrides the world temperature when the player is within this structure
	# ├── Format: [["structure_id", temperature, *units], ["structure_id", temperature, *units]... etc]
	# └── [* = optional]
	# • structure_id: The ID of the structure (i.e. "minecraft:stronghold")
	# • temperature: The temperature of the structure, in Minecraft units
	# • *units: The units of the temperature ("f" for Fahrenheit, "c" for Celsius, "mc" for Minecraft units)
	"Structure Temperatures" = []
	#─────────────────────────────────────────────────────────────────────────
	# Offsets the world temperature when the player is within this structure
	# ├── Format: [["structure_id", offset, *units], ["structure_id", offset, *units]... etc]
	# └── [* = optional]
	# • structure_id: The ID of the structure (i.e. "minecraft:stronghold")
	# • offset: The temperature offset of the structure, in Minecraft units
	# • *units: The units of the temperature ("f" for Fahrenheit, "c" for Celsius, "mc" for Minecraft units)
	"Structure Temperature Offsets" = []

[Misc]
	#─────────────────────────────────────────────────────────────────────────
	# List of blocks that will allow the player to sleep on them, regardless of the "Prevent Sleep When in Danger" setting
	# Use this list if the player is not getting the temperature effect from sleeping on particular blocks
	"Sleep Check Override Blocks" = []
	#─────────────────────────────────────────────────────────────────────────
	# When set to true, players cannot sleep if they are cold or hot enough to die
	"Check Sleeping Conditions" = true
	#─────────────────────────────────────────────────────────────────────────
	# Converts damage dealt by Soul Fire to cold damage (default: true)
	# Does not affect the block's temperature
	"Cold Soul Fire" = true
	#─────────────────────────────────────────────────────────────────────────
	# A temperature offset applied when in complete shade or when the sky is overcast
	# └── Format: [offset, *units]
	"Shade Temperature Offset" = [-9, "f"]

#"Thermal sources" are blocks that have a smokestack and give frigidness/warmth, like the hearth, boiler, and iceobx
["Thermal Sources"]
	#─────────────────────────────────────────────────────────────────────────
	# How effective thermal sources are at normalizing temperature
	# Default: 0.75
	# Range: 0.0 ~ 1.0
	"Thermal Source Strength" = 0.75
	#─────────────────────────────────────────────────────────────────────────
	# List of additional blocks that thermal sources can spread through
	# Use this list if thermal sources aren't spreading through particular blocks that they should
	"Thermal Source Spread Whitelist" = ["minecraft:iron_bars", "#minecraft:leaves", "create:encased_fluid_pipe"]
	#─────────────────────────────────────────────────────────────────────────
	# List of additional blocks that thermal sources spread through
	# Use this list if thermal sources are spreading through particular blocks that they shouldn't
	"Thermal Source Spread Blacklist" = ["minecraft:water"]

	["Thermal Sources".Hearth]
		#─────────────────────────────────────────────────────────────────────────
		# Allows the hearth to automatically turn on/off based on nearby players' temperature
		# If false, it turns on/off by redstone signal instead
		"Automatic Hearth" = false
		#─────────────────────────────────────────────────────────────────────────
		# The distance the hearth's air will travel from a source, like the hearth itself or the end of a pipe
		# Default: 20
		# Range: > 0
		"Hearth Range" = 20
		#─────────────────────────────────────────────────────────────────────────
		# The maximum distance that air can be piped away from the hearth
		# Default: 96
		# Range: > 0
		"Max Hearth Range" = 96
		#─────────────────────────────────────────────────────────────────────────
		# The maximum volume of the hearth's area of effect
		# Default: 12000
		# Range: > 1
		"Hearth Volume" = 12000
		#─────────────────────────────────────────────────────────────────────────
		# The time it takes for the hearth to be fully functional after being placed
		# Default: 1200
		# Range: > 0
		"Hearth Warm-Up Time" = 1200
		#─────────────────────────────────────────────────────────────────────────
		# The maximum amount of insulation that the hearth can provide
		# Default: 10
		# Range: 0 ~ 10
		"Hearth Effect Strength" = 10
		#─────────────────────────────────────────────────────────────────────────
		# How often the hearth consumes fuel (in ticks)
		# Lower numbers cause fuel to be consumed faster. Setting to 0 disables fuel consumption
		# Default: 40
		# Range: > 0
		"Hearth Fuel Consumption Interval" = 40

	["Thermal Sources".Boiler]
		#─────────────────────────────────────────────────────────────────────────
		# Allows the boiler to automatically turn on/off based on nearby players' temperature
		# If false, it turns on/off by redstone signal instead
		"Automatic Boiler" = false
		#─────────────────────────────────────────────────────────────────────────
		# The distance the boiler's air will travel from a source, like the boiler itself or the end of a pipe
		# Default: 16
		# Range: > 0
		"Boiler Range" = 16
		#─────────────────────────────────────────────────────────────────────────
		# The maximum distance that air can be piped away from the boiler
		# Default: 96
		# Range: > 0
		"Max Boiler Range" = 96
		#─────────────────────────────────────────────────────────────────────────
		# The maximum volume of the boiler's area of effect
		# Default: 2000
		# Range: > 1
		"Boiler Volume" = 2000
		#─────────────────────────────────────────────────────────────────────────
		# The time it takes for the boiler to be fully functional after being placed
		# Default: 1200
		# Range: > 0
		"Boiler Warm-Up Time" = 1200
		#─────────────────────────────────────────────────────────────────────────
		# The maximum amount of insulation that the boiler can provide
		# Default: 5
		# Range: 0 ~ 10
		"Boiler Warmth Strength" = 5
		#─────────────────────────────────────────────────────────────────────────
		# How often the boiler consumes fuel (in ticks)
		# Lower numbers cause fuel to be consumed faster. Setting to 0 disables fuel consumption
		# Default: 40
		# Range: > 0
		"Boiler Fuel Consumption Interval" = 40

	["Thermal Sources".Icebox]
		#─────────────────────────────────────────────────────────────────────────
		# Allows the icebox to automatically turn on/off based on nearby players' temperature
		# If false, it turns on/off by redstone signal instead
		"Automatic Icebox" = false
		#─────────────────────────────────────────────────────────────────────────
		# The distance the icebox's air will travel from a source, like the icebox itself or the end of a pipe
		# Default: 16
		# Range: > 0
		"Icebox Range" = 16
		#─────────────────────────────────────────────────────────────────────────
		# The maximum distance that air can be piped away from the icebox
		# Default: 96
		# Range: > 0
		"Max Icebox Range" = 96
		#─────────────────────────────────────────────────────────────────────────
		# The maximum volume of the icebox's area of effect
		# Default: 2000
		# Range: > 1
		"Icebox Volume" = 2000
		#─────────────────────────────────────────────────────────────────────────
		# The time it takes for the icebox to be fully functional after being placed
		# Default: 1200
		# Range: > 0
		"Icebox Warm-Up Time" = 1200
		#─────────────────────────────────────────────────────────────────────────
		# The maximum amount of insulation that the icebox can provide
		# Default: 5
		# Range: 0 ~ 10
		"Icebox Chill Strength" = 5
		#─────────────────────────────────────────────────────────────────────────
		# How often the icebox consumes fuel (in ticks)
		# Lower numbers cause fuel to be consumed faster. Setting to 0 disables fuel consumption
		# Default: 40
		# Range: > 0
		"Icebox Fuel Consumption Interval" = 40

	[Compatibility.Seasons]
		#─────────────────────────────────────────────────────────────────────────
		# Defines the temperature changes caused by each season
		# ├── Format: [seasonStart, seasonMid, seasonEnd, *units]
		# └── [* = optional]
		# • seasonStart/Mid/End: The temperature offset at the start, middle, and end of the season
		# • *units: The unit of temperature (C, F, or MC)
		# ⌄ 
		Summer = [0.4, 0.6, 0.4]
		Autumn = [0.2, 0, -0.2]
		Winter = [-0.4, -0.6, -0.4]
		Spring = [-0.2, 0, 0.2]
